using System.ComponentModel;
using System;

namespace XYY.Data.Model.Standard.Tracking.TrackingTraces
{
    public class TrackingMonitor
    {
        public int RowIndex
        {
            get; set;
        }

        [DisplayName("客户单号")]
        public string CustomerOrderNO
        {
            get; set;
        }
        [DisplayName("行运易单号")]
        public string SystemNo
        {
            get; set;
        }
        [DisplayName("跟踪单号")]
        public string TrackingNumber
        {
            get; set;
        }
        [DisplayName("提单号")]
        public string LadingBillNumber
        {
            get; set;
        }



        [DisplayName("入库事件时间")]
        public DateTime? InStockTargetTime
        {
            get; set;
        }
        [DisplayName("入库抓取时间")]
        public DateTime? InStockGetTime
        {
            get; set;
        }
        [DisplayName("入库发送时间")]
        public DateTime? InStockSendTime
        {
            get; set;
        }

        [DisplayName("入库发送结果")]
        public string InStockSendRetMsg
        {
            get; set;
        }

        [DisplayName("出库事件时间")]
        public DateTime? OutStockTargetTime
        {
            get; set;
        }

        [DisplayName("出库抓取时间")]
        public DateTime? OutStockGetTime
        {
            get; set;
        }

        [DisplayName("出库发送时间")]
        public DateTime? OutStockSendTime
        {
            get; set;
        }


        [DisplayName("出库发送结果")]
        public string OutStockSendRetMsg
        {
            get; set;
        }

        [DisplayName("交航事件时间")]
        public DateTime? TrafficTargetTime
        {
            get; set;
        }

        [DisplayName("交航发送时间")]
        public DateTime? TrafficSendTime
        {
            get; set;
        }

        [DisplayName("交航抓取时间")]
        public DateTime? TrafficGetTime
        {
            get; set;
        }

        [DisplayName("交航发送结果")]
        public string TrafficSendRetMsg
        {
            get; set;
        }


        [DisplayName("离开中国事件时间")]
        public DateTime? DepartureTargetTime
        {
            get; set;
        }

        [DisplayName("离开中国抓取时间")]
        public DateTime? DepartureGetTime
        {
            get; set;
        }

        [DisplayName("离开中国发送时间")]
        public DateTime? DepartureSendTime
        {
            get; set;
        }

        [DisplayName("离开中国发送结果")]
        public string DepartureSendRetMsg
        {
            get; set;
        }


        [DisplayName("抵达目的地事件时间")]
        public DateTime? ArriveTargetTime
        {
            get; set;
        }

        [DisplayName("抵达目的地抓取时间")]
        public DateTime? ArriveGetTime
        {
            get; set;
        }

        [DisplayName("抵达目的地发送时间")]
        public DateTime? ArriveSendTime
        {
            get; set;
        }

        [DisplayName("抵达目的地发送结果")]

        public string ArriveSendRetMsg
        {
            get; set;
        }

        [DisplayName("清关事件时间")]
        public DateTime? ClearanceTargetTime
        {
            get; set;
        }

        [DisplayName("清关抓取时间")]
        public DateTime? ClearanceGetTime
        {
            get; set;
        }

        [DisplayName("清关发送时间")]
        public DateTime? ClearanceSendTime
        {
            get; set;
        }

        [DisplayName("清关发送结果")]
        public string ClearanceSendRetMsg
        {
            get; set;
        }



        [DisplayName("上网事件时间")]
        public DateTime? OnlineTargetTime
        {
            get; set;
        }

        [DisplayName("上网抓取时间")]
        public DateTime? OnlineGetTime
        {
            get; set;
        }

        [DisplayName("上网发送时间")]
        public DateTime? OnlineSendTime
        {
            get; set;
        }

        [DisplayName("上网发送结果")]
        public string OnlineSendRetMsg
        {
            get; set;
        }



        [DisplayName("签收事件时间")]
        public DateTime? SignTargetTime
        {
            get; set;
        }


        [DisplayName("签收抓取时间")]
        public DateTime? SignGetTime
        {
            get; set;
        }

        [DisplayName("签收发送时间")]
        public DateTime? SignSendTime
        {
            get; set;
        }

        [DisplayName("签收发送结果")]
        public string SignSendRetMsg
        {
            get; set;
        }


    }
}
